import { ReactiveController, ReactiveElement } from 'lit';
export type InterestEvent = Event & {
    source: HTMLElement;
};
/**
 * Adds Interest Invoker Commands API support for interactive custom elements.
 * https://developer.mozilla.org/en-US/docs/Web/API/Popover_API/Using_interest_invokers
 */
export declare function typeInterest<T extends Interest>(): ClassDecorator;
export type Interest = ReactiveElement & HTMLElement & {
    interestfor: string | null;
    interestForElement: HTMLElement | null;
    readOnly: boolean;
    disabled: boolean;
};
export declare class TypeInterestController<T extends Interest> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): Promise<void>;
    hostUpdated(): Promise<void>;
    hostDisconnected(): void;
}
